function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 46);

T = GK_financial.static_resid_tt(T, y, x, params);

T(34) = 1/y(10)-1/(y(10));
T(35) = 1/y(15)-1/(y(15));
T(36) = ((y(18))-y(18))/((y(18))*(y(18)))/(y(18)/(y(18)));
T(37) = (-(T(14)*getPowerDeriv(y(19),params(5)*params(13),1)))/(T(15)*T(15));
T(38) = getPowerDeriv(T(19),1-params(5),1);
T(39) = (T(26)*getPowerDeriv(y(19),params(4),1)-T(25)*getPowerDeriv(y(19),params(4)*params(12),1))/(T(26)*T(26));
T(40) = getPowerDeriv(y(20),params(5),1);
T(41) = getPowerDeriv(y(23)*y(29),params(2),1);
T(42) = 1/y(24)-1/(y(24));
T(43) = 1/y(29)-1/(y(29));
T(44) = 1/y(34)-1/(y(34));
T(45) = 1/y(38)-1/(y(38));
T(46) = 1/y(39)-1/(y(39));

end
